Subject: bug#42304: 27.0.50; Emacs does not adjust to global font scaling anymore

From: Torsten Bronger <[email-masked]>
Date: Wed, 18 May 2022 08:00:41 +0200

Hallöchen!

Torsten Bronger writes:

> If I re-scale all fonts on my Gnome desktop with e.g.
>
> dconf write /org/gnome/desktop/interface/text-scaling-factor 2.0
>
> Emacs is the only application that does not change its font size
> accordingly.  Instead, I have to re-start Emacs.  This used to
> work properly.  The problem was introduced with commit f208d5ae77.

This still is an issue, also on Wayland and pgtk.  The commit
f208d5ae77 that introduced the problem is long but since
--without-harfbuzz does not change anything, much of the commit diff
can be ignored, I suspect.

@Po Lu: Since you seem to be into the low-level display code
currently, I shamelessly Cc’ed you.  Of course, this is not a
demand but possibly you have an idea.

Regards,
Torsten.

-- 
Torsten Bronger